#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 19. Mail/News Clients

- Prev

  mailx-12.5

- Next

  Procmail-3.22

- Up
- Home

# Mutt-2.0.5

## Introduction to Mutt

The Mutt package contains a Mail User Agent. This is useful for reading, writing, replying to, saving, and deleting your email.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://bitbucket.org/mutt/mutt/downloads/mutt-2.0.5.tar.gz

- Download (FTP): ftp://ftp.mutt.org/pub/mutt/mutt-2.0.5.tar.gz

- Download MD5 sum: f738a7d1d458d91420fe0759845e4d0a

- Download size: 5.1 MB

- Estimated disk space required: 48 MB

- Estimated build time: 0.3 SBU

### Mutt Dependencies

#### Recommended (for a text version of the manual)

Lynx-2.8.9rel.1, or Links-2.21 (or W3m, or ELinks) - please read the Note.

#### Optional

Aspell-0.60.8, Cyrus SASL-2.1.27, GDB-10.1, GnuPG-2.2.27, GnuTLS-3.7.0, GPGME-1.15.1, libidn-1.36, MIT Kerberos V5-1.19.1, an MTA (that provides a sendmail command), slang-2.3.2, SQLite-3.34.1, libgssapi, Mixmaster, QDBM or Tokyo Cabinet

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/mutt

## Installation of Mutt

### Note

Mutt ships with an HTML version of its manual, but the text version is no longer provided because differences in the formatting from different text browsers compared to the shipped version caused complaints. To get a text file, the following are used in order of preference: lynx with overstriking (backspaces) for emphasis, w3m or elinks: the latter two apparently provide plain text. Plain text is generally preferred unless reading the HTML manual, so the instructions below use lynx if available, or else links to produce plain text.

Mutt requires a group named `mail`. You can add this group, if it does not exist, with this command:

    groupadd -g 34 mail

If you did not install an MTA, you need to modify the ownership of `/var/mail` with this command:

    chgrp -v mail /var/mail

Install Mutt by running the following commands:

To ensure that a plain text manual is created when using lynx or to otherwise use links to produce it (instead of elinks), run the following command:

    sed -i -e 's/ -with_backspaces//' -e 's/elinks/links/' \
      -e 's/-no-numbering -no-references//' doc/Makefile.in

Now configure and build the application:

    ./configure --prefix=/usr                           \
                --sysconfdir=/etc                       \
                --with-docdir=/usr/share/doc/mutt-2.0.5 \
                --with-ssl                              \
                --enable-external-dotlock               \
                --enable-pop                            \
                --enable-imap                           \
                --enable-hcache                         \
                --enable-sidebar                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

### Note

If you used a DESTDIR method to only install to a temporary location as a regular user (as part of a package menagement process), you will need to run the following as the `root` user after completing the real install:

    chown root:mail /usr/bin/mutt_dotlock &&
    chmod -v 2755 /usr/bin/mutt_dotlock

An info file is now installed, so you will also need to recreate the `/usr/share/info/dir` as described when Texinfo was installed in LFS.

## Command Explanations

`sed ... -e 's/ -with_backspaces//' ...`: This turns off the backspaces used for overstriking when lynx is used, resulting in readable plain text when using view.

`sed ... -e 's/elinks/links/' ...`: This allows links to be run instead of elinks which is not in the book.

`sed ... -e 's/-no-numbering -no-references//' ...`: This removes switches which are not understood by links.

`--enable-external-dotlock`: In some circumstances the mutt-dotlock program is not created. This switch ensures it is always created.

`--enable-pop`: This switch enables POP3 support.

`--enable-imap`: This switch enables IMAP support.

`--enable-hcache`: This switch enables header caching.

`--enable-sidebar`: This switch enables support for the sidebar (a list of mailboxes). It is off by default, but can be turned on by :set sidebar_visible in mutt (and off again with ':unset'), or it can be enabled in `~/.muttrc`.

`--with-ssl`: This parameter adds SSL/TLS support from openssl in POP3/IMAP/SMTP.

`--enable-autocrypt --with-sqlite3`: These two switches add support for passive protection against data collection, using gnupg and gpgme (gpgme is enabled by autocrypt). See The Manual.

`--enable-gpgme`: This switch enables GPG support through the GPGME package. Use this switch if you want GPG support in Mutt.

`--enable-smtp`: This switch enables SMTP relay support.

`--with-idn2`: Use this parameter if both libidn and libidn2 have been installed, and you wish to use libidn2 here.

`--with-sasl`: This parameter adds authentication support from Cyrus SASL-2.1.27 in POP3/IMAP/SMTP if they are enabled. Depending on the server configuration, this may not be needed for POP3 or IMAP. However, it is needed for SMTP authentication.

## Configuring Mutt

###

#### Config Files

`/etc/Muttrc`, `~/.muttrc`, `/etc/mime.types`, and `~/.mime.types`

###

#### Configuration Information

No changes in these files are necessary to begin using Mutt. When you are ready to make changes, the man page for `muttrc` is a good starting place.

In order to utilize GnuPG, use the following command:

    cat /usr/share/doc/mutt-2.0.5/samples/gpg.rc >> ~/.muttrc

## Contents

Installed Programs: flea, mutt, mutt_dotlock, muttbug, pgpewrap, pgpring, and smime_keys
Installed Libraries: None
Installed Directories: /usr/share/doc/mutt-2.0.5

### Short Descriptions

flea | is a script showing where to report bugs
mutt | is a Mail User Agent (MUA) which enables you to read, write and delete your email
mutt_dotlock | implements the mail spool file lock
muttbug | is a script identical to flea
pgpewrap | prepares a command line for the GnuPG-2.2.27 utilities
pgpring | is a key ring dumper for PGP. It is not needed for GnuPG-2.2.27
smime_keys | manages a keystore for S/MIME certificates

Last updated on 2021-02-24 19:05:34 -0800

- Prev

  mailx-12.5

- Next

  Procmail-3.22

- Up
- Home